%define name	perl-Text-German
%define version	0.03
%define release	1mdk

Summary:	Text-German module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Text-German-%{version}.tar.bz2
URL:		http://www.cpan.org
Requires:	perl
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Text-German module for perl

%prep
%setup -q -n Text-German-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Text/German.pod
%{perl_vendorlib}/Text/German
%{perl_vendorlib}/Text/German.pm
%{_mandir}/man3*/*

%changelog
* Thu Jun 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.03-1mdk
- initial cooker contrib.
